FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202104130540.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104130540.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e622a07 OS_GIT_VERSION=4.5.0-202104130540.p0-e622a07 SOURCE_DATE_EPOCH=1586855486 SOURCE_GIT_COMMIT=e622a07f8b50d74f7316dbdc1123f469d6b34715 SOURCE_GIT_TAG=v0.1.0-202-ge622a07 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
WORKDIR /go/src/github.com/kubernetes-csi/external-resizer
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20210413.055233
ENV __doozer=update BUILD_RELEASE=202104130540.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104130540.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e622a07 OS_GIT_VERSION=4.5.0-202104130540.p0-e622a07 SOURCE_DATE_EPOCH=1586855486 SOURCE_GIT_COMMIT=e622a07f8b50d74f7316dbdc1123f469d6b34715 SOURCE_GIT_TAG=v0.1.0-202-ge622a07 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-resizer/bin/csi-resizer /usr/bin/
ENTRYPOINT ["/usr/bin/csi-resizer"]

LABEL \
        name="openshift/ose-csi-external-resizer" \
        com.redhat.component="ose-csi-external-resizer-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202104130540.p0" \
        io.openshift.build.commit.id="e622a07f8b50d74f7316dbdc1123f469d6b34715" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-resizer" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-resizer/commit/e622a07f8b50d74f7316dbdc1123f469d6b34715" \
        version="v4.5.0"

